## Discord Plex FR : https://discord.gg/3gtABCH
## Version 2021-08-23

version: "3.8"
services:
  dashy:
    container_name: Dashy
    image: lissy93/dashy
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#    labels:
#     - com.centurylinklabs.watchtower.enable=true
    volumes:
     - /volume1/docker/dashy/conf.yml:/app/public/conf.yml
     - /volume1/docker/dashy/item-icons:/app/public/item-icons
    ports:
     - 4000:80
    environment:
      - NODE_ENV=production
      - UID=1000
      - GID=1000
    restart: unless-stopped
    healthcheck:
      test: ['CMD', 'node', '/app/services/healthcheck']
      interval: 1m30s
      timeout: 10s
      retries: 3
      start_period: 40s